#ifndef Ende_H
#define Ende_H

#include <Knopf.h>
#include <Rahmen.h>

using namespace Framework;

class Ende
{
private:
	LRahmen *rahmen;
	TextFeld *text;
	TextFeld *warten;
	Knopf *ok;
	bool weiter;
	int ref;

public:
	// Konstruktor
	Ende( Schrift *zSchrift );
	// Destruktor
	~Ende();
	// nicht constant
	void setGewonnen( char gewonnen );
    void doTastaturEreignis( TastaturEreignis &te );
	void doMausEreignis( MausEreignis &me );
	void render( Bild &zRObj );
	// constant
	bool getWeiter() const;
	// Reference Counting
	Ende *getThis();
	Ende *release();
};

#endif