#ifndef STKNachricht_H
#define STKNachricht_H

class STKNachricht
{
private:
	int spielZeit;
	int ln;
	char *nachricht;
	bool verarbeitet;
	int ref;

public:
	// Konstruktor
	STKNachricht( int ln, char *nachricht );
	// Destruktor
	~STKNachricht();
	// nicht constant
	void setVerarbeitet();
	// constant
	bool istVerarbeitet() const;
	int getSpielZeit() const;
	int getLength() const;
	char *getNachricht() const;
	// Reference Counting
	STKNachricht *getThis();
	STKNachricht *release();
};

#endif